Subject: Re: git on HP NonStop

From: Johannes Sixt <[email-masked]>
Date: Mon, 20 Aug 2012 12:56:50 +0200

Am 8/20/2012 12:36, schrieb Joachim Schmitz:
> int var = var;
> char *othervar = othervar;
> 
> ... 
>
> What is the reason for using that self-init stuff? I don't think it is
> really portable, is it?

It is used to avoid "var may be used uninitialized" warnings for some
compilers. Officially (according to the C standard), it is undefined
behavior. But I've observed considerable resistance by Junio to fix this
properly. Therefore, unless you can show that your compiler generates
unusable code you better live with the "self-initialization" warnings.

-- Hannes